version: "3.1"
rules:
  - rule: groet gebruiker
    steps:
      - intent: groet
      - action: utter_groet

  - rule: Dank je
    steps:
      - intent: dankjewel
      - action: utter_graaggedaan

  - rule: Bot uitdaging
    steps:
      - intent: bot_uitdaging
      - action: utter_ikbeneenbot

  - rule: activeer iit form
    steps:
      - intent: vraag_iit
      - action: iit_form
      - active_loop: iit_form

  - rule: submit form
    condition:
    - active_loop: iit_form
    steps:
      - action: iit_form
      - active_loop: null
      - action: utter_submit
      - action: utter_slots_values

  - rule: activeer iit form1
    steps:
      - intent: vraag_iit_form1
      - action: iit_form1
      - active_loop: iit_form1

  - rule: submit form1
    condition:
    - active_loop: iit_form1
    steps:
      - action: iit_form1
      - active_loop: null
      - action: utter_submit
      - action: utter_slots_values

  - rule: activeer iit form2
    steps:
      - intent: vraag_iit_form2
      - action: iit_form2
      - active_loop: iit_form2

  - rule: submit form2
    condition:
    - active_loop: iit_form2
    steps:
      - action: iit_form2
      - active_loop: null
      - action: utter_submit
      - action: utter_slots_values

  - rule: Tell me time
    steps:
      - intent: vraag_tijd
      - action: action_tell_time